MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_services

Lists all publicly listed services.

The following code sample shows how to use curl to call the list_services MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_services",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListServices.

ListServicesRequest

JSON representation
{
  "pageSize": integer,
  "pageToken": string
}
Fields
pageSize

integer

Maximum number of services to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000.

pageToken

string

Page token received from a previous ListServices call to retrieve the next page of results. If this field is empty, the first page is returned.

Output Schema

Response message for ListServices.

ListServicesResponse

JSON representation
{
  "services": [
    {
      object (Service)
    }
  ],
  "nextPageToken": string
}
Fields
services[]

object (Service)

The returned publicly listed services.

nextPageToken

string

Token that can be sent as page_token in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages.

Service

JSON representation
{
  "name": string,
  "serviceId": string,
  "displayName": string
}
Fields
name

string

Resource name for the service. Example: "services/DA34-426B-A397".

serviceId

string

Identifier for the service. Example: "DA34-426B-A397".

displayName

string

Description of the service. Example: "BigQuery", "Compute Engine".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌